### Signal

# RB Player::eos

#### Declaration

    void
    eos (
      RBPlayer* self,
      gpointer stream_data,
      gboolean early,
      gpointer user_data
    )

#### Description [src]

The ‘eos’ signal is emitted when a stream finishes, or in some cases, when it is about to finish (with `early` set to `TRUE`) to allow for a new track to be played immediately afterwards.

Default handler: The default handler is called after the handlers added via `g_signal_connect()`.
Signal emission will restart instead of recursing

#### Parameters

`stream_data`

  Type: `gpointer`

  The data associated with the stream that finished.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

`early`

  Type: `gboolean`

  If `TRUE`, the EOS notification should only be used for track changes.